#
# spec file for package gstreamer-0_10-plugin-crystalhd
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

# every machine even wihtout the specific hardware.
%define SKIP_GSTPROVIDES 1

Name:           gstreamer-0_10-plugin-crystalhd
BuildRequires:  gcc-c++
BuildRequires:  gstreamer-0_10-devel gstreamer-0_10-plugins-base-devel
BuildRequires:  libcrystalhd-devel
Summary:        Gstreamer crystalhd decoder plugin
Group:          Productivity/Multimedia/Other
Version:        3.5.40
Release:        27.3
License:        LGPL-2.1+
Source0:        crystalhd-gst-plugin_%{version}-1.tar.bz2
Source1:        README
Source2:        LICENSE
# PATCH-FIX-UPSTREAM gstreamer-0_10-plugin-crystalhd-3.5.40-gcc46.patch idoenmez@suse.de -- Fix gcc 4.6 compilation 
Patch1:         gstreamer-0_10-plugin-crystalhd-3.5.40-gcc46.patch
# The package had a very short life as gstreamer-plugin-crystalhd during openSUSE 11.4 development.
Provides:       gstreamer-plugin-crystalhd = %{version}
Obsoletes:      gstreamer-plugin-crystalhd < %{version}
Url:            http://www.broadcom.com/support/crystal_hd/
ExclusiveArch:  %ix86 x86_64
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This package contains the gstreamer-plugin for Broadcom CrystalHD
decoder chip.

%prep
%setup -q -n crystalhd-gst
%patch1
cp %{SOURCE1} .
cp %{SOURCE2} .

%build
%configure --disable-static
make %{?_smp_mflags}

%install
%makeinstall
find %{buildroot}%{_libdir} -name '*.la' -delete -print

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
%doc README LICENSE
%{_libdir}/gstreamer-*/*.so

%changelog
* Wed May  4 2011 idoenmez@novell.com
- Add gstreamer-0_10-plugin-crystalhd-3.5.40-gcc46.patch: remove
  write-only variables to fix compilation with gcc 4.6
* Tue Dec  7 2010 tiwai@suse.de
- updated to v3.5.40: fix S3/S4 (bnc#639155, bnc#639156)
- build only for x86 and x86-64
* Wed Sep 15 2010 dimstar@opensuse.org
- Rename package to gstreamer-0_10-plugin-crystalhd to stay conform
  with all other gstreamer package.
- Define SKIP_GSTPROVIDES. The plugin would provide, amongst
  others, decoder-video/mpeg, which would trigger this package to
  be installed instead of 3rd party ones, even if the required
  hardware would be missing.
- Some general spec file cleanup (mostly with spec-cleaner).
* Fri Sep  3 2010 tiwai@suse.de
- initial version: v3.5.36
